{% extends 'user-account/base.html.twig' %}

{% block body %}
    <form class="form-signin" method="post" action="{{ path('signin') }}">
        <img src="{{ asset('img/logo.png') }}" height="60" alt="Blog php logo" class="mb-4">
        <h1 class="h3 mb-3 font-weight-normal">Créer un compte</h1>

        <div class="form-group">
            {{ form_label(form.email) }}
            {{ form_widget(form.email) }}
            <div class="mt-1">
                {{ form_error(form.email) }}
            </div>
        </div>
        <div class="form-group">
            {{ form_label(form.username) }}
            {{ form_widget(form.username) }}
            <div class="mt-1">
                {{ form_error(form.username) }}
            </div>
        </div>
        <div class="form-group">
            {{ form_label(form.password) }}
            {{ form_widget(form.password) }}
            <div class="mt-1">
                {{ form_error(form.password) }}
            </div>
        </div>
        <button class="btn btn-lg btn-primary btn-block" type="submit">Inscription</button>
        <p>
            Déjà inscrit ? <a href="{{ path('login') }}">Se connecter</a>
        </p>
        <p>
            <a href="{{ path('home') }}">Retour à l'accueil</a>
        </p>
    </form>
{% endblock %}